﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 352: (1 yr) VER IEEE /5800A+5Ch
DATE:                  2010-07-30 11:49:10
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       267
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ352
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Select Channel IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /5800
#        Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /5800
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5800
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5800
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5800
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5800
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WJ354
#        Serial No : LCRY0101J23242
#        Options   : WJ-GPIB
#        Firmware  : 4.05
#
# Average run time during testing :  21 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  MATH         @ReqMetCalVersion = "7.20v"
  1.006  CALL         Sub MET/VERsion Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20v or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.015  DISP         operation as follows:
  1.015  DISP
  1.015  DISP         Push UUT front panel UTILITES button, followed by the
  1.015  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.015  DISP         "GPIB" softkey.
  1.015  DISP
  1.015  DISP         If this workstation is equipped with two GPIB cards,
  1.015  DISP         the address is unimportant, as long as it is not (0)
  1.015  DISP         zero. If only 1 GPIB card is installed, however, the
  1.015  DISP         UUT address must not conflict with those of configured
  1.015  DISP         references.
  1.015  DISP
  1.015  DISP         If necessary, depress the "Address" softkey and set
  1.015  DISP         the UUT address using the ADJUST knob.
  1.015  DISP
  1.015  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.015  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.016  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.017  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.018  DISP         The file parameter setting is: "acc_check=no"
  1.018  DISP
  1.018  DISP         For correct procedure execution, this parameter
  1.018  DISP         MUST be set to: "acc_check=yes"
  1.018  DISP
  1.018  DISP         Select "Advance" to terminate the procedure, exit
  1.018  DISP         MET/CAL®, change the initialization file parameter,
  1.018  DISP         restart MET/CAL, then restart the procedure.
  1.019  END
  1.020  ENDIF

  1.021  IEEE         *CLS;*RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  MATH         @UUT_Manufacturer = "LECROY"
  1.025  MATH         @UUT_Model        = "WJ352"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

  1.030  IF           @FirmwareRev < 3.06
  1.031  DISP         This procedure requires firmware version 3.06 or later.
  1.031  DISP
  1.031  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.031  DISP         firmware and installation instructions are available
  1.031  DISP         for download.
  1.032  ENDIF

  1.033  CALL         Sub Select Failed Test Mode
  1.034  CALL         Sub Select Verification Method (No NTHROW)

# Set the system confidence level to 95%.
  1.035  MATH         @SysConf = 2
  1.036  MATH         @DevName = "Fluke 5800A"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.037  MATH         @SourceMultiCh = 1

# Set the system confidence level to 95%.
  1.038  MATH         @SysConf   = 2
  1.039  MATH         @DevName   = "Fluke 5800A"
  1.040  MATH         @Bandwidth = 500E+6
  1.041  MATH         @NumChan   = 2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       CHANNEL INPUT IMPEDANCE(CH1)
#    4.   EXTERNAL INPUT IMPEDANCE           CHANNEL INPUT IMPEDANCE(CH2)
#    5.   PEAK-PEAK NOISE LEVEL              EXTERNAL INPUT IMPEDANCE
#    6.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#    7.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#    8.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#    9.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   10.   BANDWIDTH(CH1)                     TRIGGER LEVEL(CH1)
#   11.   BANDWIDTH(CH2)                     TRIGGER LEVEL(CH2)
#   12.   TRIGGER LEVEL(CH1)                 BANDWIDTH(CH1)
#   13.   TRIGGER LEVEL(CH2)                 BANDWIDTH(CH2)
#   14.   TIME BASE                          TIME BASE

  1.042  CALL         Sub LeCroy WJ300 Self-Test IEEE

  1.043  IF           @Abort
  1.044  END
  1.045  ENDIF

  1.046  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.047  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.048  MATH         @Chan = 1
  1.049  M5800                                                    C1
  1.050  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /5800

  1.051  MATH         @Chan = 2
  1.052  M5800                                                    C2
  1.053  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /5800

  1.054  MATH         @Chan = 5
  1.055  M5800                                                    C5
  1.056  CALL         Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /5800
  1.057  JMPL         DC_GAIN_ACC_CH1

  1.058  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.059  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  1.060  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.061  LABEL        DC_GAIN_ACC_CH1
  1.062  MATH         @Chan = 1
  1.063  M5800                                                    C1
  1.064  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5800

  1.065  MATH         @Chan = 2
  1.066  M5800                                                    C2
  1.067  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5800

  1.068  MATH         @Chan = 1
  1.069  M5800                                                    C1
  1.070  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5800

  1.071  MATH         @Chan = 2
  1.072  M5800                                                    C2
  1.073  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5800
  1.074  JMPL         CH1_TRIGGER_LEVEL

  1.075  LABEL        CH1_BANDWIDTH
  1.076  MATH         @Chan = 1
  1.077  M5800                                                    C1
  1.078  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5800

  1.079  MATH         @Chan = 2
  1.080  M5800                                                    C2
  1.081  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5800
  1.082  JMPL         TIMEBASE

  1.083  LABEL        CH1_TRIGGER_LEVEL
  1.084  MATH         @Chan = 1
  1.085  M5800                                                    C1
  1.086  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5800

  1.087  MATH         @Chan = 2
  1.088  M5800                                                    C2
  1.089  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5800
  1.090  JMPL         CH1_BANDWIDTH

  1.091  LABEL        TIMEBASE
  1.092  MATH         @Chan = 1
  1.093  M5800                                                    C1
  1.094  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5800

  1.095  LABEL        END
  1.096  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.097  END
